Package twisted :: Package protocols :: Module basic :: Class SafeNetstringReceiver

[frames | no frames]

## Class SafeNetstringReceiver

    BaseProtocol --+
                   |
            Protocol --+
                       |
       NetstringReceiver --+
                           |
                          SafeNetstringReceiver

This class is deprecated, use NetstringReceiver instead.

Method Summary
Inherited from NetstringReceiver
| ``dataReceived`(self, data)` Called whenever data is received.
| ``doComma`(self)`
| ``doData`(self)`
| ``doLength`(self)`
| ``sendString`(self, data)`
| ``stringReceived`(self, line)` Override this.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
Inherited from BaseProtocol
| ``connectionMade`(self)` Called when a connection is made.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
Inherited from NetstringReceiver
`int` | `_readerLength` = 0
`int` | `_readerState` = 0
`int` | `brokenPeer` = 0
`int` | `MAX_LENGTH` = 99999
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Generated by Epydoc 2.0 on Sat May 15 20:08:34 2004 | http://epydoc.sf.net